gnutls_x509_crl_print(3)

NAME
gnutls_x509_crl_print - Pretty print X.509 certificate revocation list

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_print(gnutls_x509_crl_t crl, gnutls_certificate_print_formats_t format, gnutls_datum_t * out);

ARGUMENTS

gnutls_x509_crl_t crl
    The structure to be printed

gnutls_certificate_print_formats_t format
    Indicate the format to use

gnutls_datum_t * out
    Newly allocated datum with zero terminated string.

DESCRIPTION
This function will pretty print a X.509 certificate revocation list, suitable for display to a human. The output out needs to be deallocate using gnutls_free(). Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.